jQuery(document).ready(function($) {
    //append the form into our admin button
    $('#bpqa-form-wrapper').appendTo('#wp-admin-bar-post-update');

    //remove warning when in input fields
    $('.bpqa-input').focus(function() {
        $('#bpqa-textarea').removeClass('bpqa-warning');
        $('#bpqa-video-link').removeClass('bpqa-warning');
    });
    
    $('#whats-new-post-in').change(function() {
        $(this).removeClass('bpqa-warning');
    });

    //when submit check if at least one filed as value and if so submit the form
    //otherwise add warning
    $("#bpqa-submit").click(function() {
        //if(!$.trim($('#bpqa-textarea').value).length) { // zero-length string AFTER a trim
        if ( $('#bpqa-textarea').val() && $('#whats-new-post-in').val() != '' ) {
            $("#bpqa-form").submit();
        } else {
        	if ( !$('#bpqa-textarea').val() ){
        		$('#bpqa-textarea').addClass('bpqa-warning');
        	}
        	if ( $('#whats-new-post-in').val() == '' ) {
        		$('#whats-new-post-in').addClass('bpqa-warning');
        	}
        }
    });
    // show and hide the form
    $(".bpqa-form-trigger").click(function(event) {
        event.preventDefault();
        $('#bpqa-form-wrapper').fadeToggle();
        $('#bpqa-screen-cover').fadeToggle();

    });
    $("#bpqa-cancel").click(function() {
        $('#bpqa-form-wrapper').fadeToggle();
        $('#bpqa-screen-cover').fadeToggle();
    });
    
    $(document).keyup(function(e) {
        if (e.keyCode == 27 && $('#bpqa-form-wrapper').is(':visible')) {
            $('#bpqa-form-wrapper').fadeToggle();
            $('#bpqa-screen-cover').fadeToggle();
        }
    });
    
});